<h1>Image Convertor</h1><br><br>

<nav >
    <a href="{% url 'localtolocal' %}" ><u> Local To Local </u> </a>
    <a href="{% url 'localtogdrive' %}"></u>Local To Gdrive</u></a>
    <a href="{% url 'gdrivetolocal' %}"></u>Grive To Local</u></a>
    <a href="{% url 'gdrivetogdrive' %}"></u>Grive To Grive</u></a>
</nav>

{% url 'localtolocal' as l2l %}
{% if request.path == l2l %}
<br>
<br>
<b>Select Images Or Zip</b><br>
<br>
<br>
<form method="post"  enctype='multipart/form-data'>
    {% csrf_token %}
<input type="text" name="folder" placeholder="Enter Folder Name"><br><br><br>
<!-- 
<b>Select Gdrive Folder </b>
<br>
<br>
<input type="text" placeholder="Select Folder Name" name="gfolder"><br><br> -->

<input type="file" placeholder="Select Image Or Zip" name="data_shared" multiple>
<br>
<br>

<br><br>
<label>Convert From:</label>
<select name="takenfrom">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br>
<label>Convert To:</label>
<select name="format">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br><br>
<button type="submit">Submit</button>
</form>
{% endif %}

{% url 'localtogdrive' as l2g %}
{% if request.path == l2g %}
<br>
<br>

<b>Select Images Or Zip</b><br>
<br>
<br>
<form method="post"  enctype='multipart/form-data'>
    {% csrf_token %}
<input type="text" name="folder" placeholder="Enter Folder Name"><br><br><br>
<!-- 
<b>Select Gdrive Folder </b>
<br>
<br>
<input type="text" placeholder="Select Folder Name" name="gfolder"><br><br> -->

<input type="file" placeholder="Select Image Or Zip" name="data_shared" multiple>
<br>
<br>

<br><br>
<label>Convert From:</label>
<select name="takenfrom">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br>
<label>Convert To:</label>
<select name="format">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br><br>
<button type="submit">Submit</button>
</form>

{% endif %}

{% url 'gdrivetogdrive' as g2g %}
{% if request.path == g2g %}
<br>
<br>
<form method="post"  enctype='multipart/form-data'>
    {% csrf_token %}


<br><br>
<label>Convert From:</label>
<select name="takenfrom">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br>
<label>Convert To:</label>
<select name="format">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br><br>
<button type="submit">Submit</button>
</form>

{% endif %}

{% url 'gdrivetolocal' as g2l %}
{% if request.path == g2l %}
<br>
<br>

<b>Select Gdrive Folder </b>
<br>
<br>
<input type="text" placeholder="Select Folder Name" name="gfolder"><br><br>



<br><br>
<label>Convert From:</label>
<select name="takenfrom">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br>
<label>Convert To:</label>
<select name="format">Convert To
<option value="jpeg">JPEG</option>
<option value="png">PNG</option>
<option value="heic">HEIC</option>
</select>

<br><br><br>
<button type="submit">Submit</button>
</form>

{% endif %}